Drupal Core and Security for PHP Versions

Let's talk about how we can work with faster major PHP releases:

  • Drupal users still generally expect PHP 5.3, which is end-of-life.
  • Drupal-focused platforms aren't lagging like the shared hosts of yore. Cloud servers also provide easy access to the latest PHP versions.
  • Drupal core releases (and the corresponding freshening of requirements and contrib modules) happen less frequently than major PHP releases.
  • PHP 5.5 has major performance benefits over 5.3. Future PHP releases may continue the trend.
  • opcache is less buggy than APC (though, yes, opcache can run on PHP 5.3, just less tested).
  • Moving to PHP 5.5 isn’t that bad, but there’s no community coordination around it.
  • HHVM's has different update cycles than Zend Engine PHP.
  • There's new work on PHP language standardization.

 

Session Track

Core Conversations

Experience level

Intermediate

Drupal Version

Drupal 8 (current)